Package twisted :: Package internet :: Module udp :: Class MulticastMixin

[frames | no frames]

## Class MulticastMixin

Known Subclasses:
  `ConnectedMulticastPort`, `MulticastPort`

Implement multicast functionality.

Method Summary
| `_joinAddr1(self, addr, interface, join)`
| `_joinAddr2(self, interface, addr, join)`
| `_setInterface(self, addr)`
| `getLoopbackMode(self)`
| `getOutgoingInterface(self)`
| `getTTL(self)`
| ``joinGroup`(self, addr, interface)` Join a multicast group.
| ``leaveGroup`(self, addr, interface)` Leave multicast group, return Deferred of success.
| `setLoopbackMode(self, mode)`
| ``setOutgoingInterface`(self, addr)` Returns Deferred of success.
| `setTTL(self, ttl)`

Method Details

### joinGroup(self, addr, interface='')

Join a multicast group. Returns Deferred of success.

### leaveGroup(self, addr, interface='')

Leave multicast group, return Deferred of success.

### setOutgoingInterface(self, addr)

Returns Deferred of success.

Generated by Epydoc 2.0 on Sat May 15 20:08:09 2004 | http://epydoc.sf.net